from ordotools.tools.helpers import day


class Sanctoral:
    """
    The Roman Sanctoral Cycle, which is called at every compilation.
    | self.sanctoral is the only return, containing a dictionary of
      the feasts.
    """

    def __init__(self, year):
        self.year = year
        self.data = {

            # January
            day(year=self.year, month=1, day=14): {
                "feast": "S Hilarii Episcopi ECD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Felicis SM", "mass": {"int": "Lætabitur", "glo": True, "cre": False, "pre": "Communis"}, "matins": {}, "lauds": {}, "prime": {}, "little_hours": {}, "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "oration": ""}, "compline": {}, "fasting": False,}],
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("O Doctor", "O Doctor"), "oration": "Deus, qui populo"},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=15): {
                "feast": "S Pauli Primi Eremitæ C",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Mauri Abb", "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"}}],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Justus ut palma", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=16): {
                "feast": "S Marcelli PM",
                "rank": [16, "sd"],
                "nobility": (5, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=17): {
                "feast": "S Antonii Abb",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=18): {
                "feast": "Cathedræ S Petri Ap Romæ",
                "rank": [14, "dm"],
                "nobility": (False,),
                "com": [{"feast": "S Pauli Apostoli", "mass": False}, {"feast": "S Priscæ VM", "mass": {"int": "Me expectaverunt", "glo": True, "cre": True, "pre": "Communis"}}],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit ei", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=19): {
                "feast": "Ss Marii, Marthæ, Audifacis et Abachum Mm",
                "rank": [22, "s"],
                "nobility": (5, 2, 6, 7, 3, 0,),
                "com": [{"feast": "S Canuti RM", "mass": {"int": "In virtute", "glo": True, "cre": False, "pre": "Communis"}}],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Justi epulentur", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
                # "mag": "",
            },
            day(year=self.year, month=1, day=20): {
                "feast": "Ss Fabiani P et Sebastiani Mm",
                "rank": [15, "d"],
                "nobility": (5, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Intret in conspectu", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=21): {
                "feast": "S Agnetis VM",
                "rank": [15, "d"],
                "nobility": (5, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Me expectaverunt", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=22): {
                "feast": "Ss Vincentii & Anastasii Mm",
                "rank": [16, "sd"],
                "nobility": (5, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Intret", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=23): {
                "feast": "S Raymundi de Peñafort C",
                "rank": [16, "sd, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Emerentianæ VM", "mass": {"int": "Me expectaverunt", "glo": True, "cre": False, "pre": "Communis"}}],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=24): {
                "feast": "S Timothei EM",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Statuit", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=25): {
                "feast": "Conversio S Pauli Ap",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "com": [{"feast": "S Petri Apostoli", "mass": False}],
                "color": "white",
                "mass": {"int": "Scio, cui credidi", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=26): {
                "feast": "S Polycarpi EM",
                "rank": [15, "d"],
                "nobility": (5, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Sacerdotes Dei", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=27): {
                "feast": "S Joannis Chrysostomi ECD",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=28): {
                "feast": "S Petri Nolasci C",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Agnetis VM secundo", "mass": {"int": "Vultum tuum", "glo": True, "cre": False, "pre": "Communis"}}],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Justus", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=29): {
                "feast": "S Francisci Salesii ECD",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=30): {
                "feast": "S Martinæ VM",
                "rank": [16, "sd"],
                "nobility": (5, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Loquebar", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=1, day=31): {
                "feast": "S Joannis Bosco C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dedit illi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },

            # February
            day(year=self.year, month=2, day=1): {
                "feast": "S Ignatii EM",
                "rank": [15, "d"],
                "nobility": (5, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Mihi autem", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=2): {
                "feast": "In Purificatione BMV",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Suscepisimus", "glo": True, "cre": True, "pre": "de Nativitate"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=3): {
                "feast": "S Blasii EM",
                "rank": [22, "s"],
                "nobility": (8, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Sacerdotes Dei", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=4): {
                "feast": "S Andreæ Corsini EC",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=5): {
                "feast": "S Agathæ VM",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Gaudeamus", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=6): {
                "feast": "S Titi EC",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Dorotheæ VM", "mass": {"int": "", "glo": True, "cre": False, "pre": "Communis"}}],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit ei", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=7): {
                "feast": "S Romualdi Abb",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=8): {
                "feast": "S Joannis de Matha C",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=9): {
                "feast": "S Cyrilli Alexandrini ECD",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Apollonia VM", "mass": {"int": "", "glo": True, "cre": False, "pre": "Communis"}}],
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=10): {
                "feast": "S Scholasticæ V",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dilexisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=11): {
                "feast": "In Apparitione BMV Immaculatæ",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Vidi civitatem", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=12): {
                "feast": "Ss Septem Fundatores Ordinis Servorum BMV C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Justi decantaverunt", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=14): {
                "feast": "S Valentini PM",
                "rank": [22, "s"],
                "nobility": (8, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "In virtute", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=15): {
                "feast": "Ss Faustini & Jovitæ Mm",
                "rank": [22, "s"],
                "nobility": (8, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Salus autem", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=18): {
                "feast": "S Simeonis EM",
                "rank": [22, "s"],
                "nobility": (8, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Statuit", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=22): {
                "feast": "In Cathedra S Petri Ap",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit ei Dominus", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=23): {
                "feast": "S Petri Damiani ECD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "com": [{"feast": "Vigilia S Matthiæ Ap"}],
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=24): {
                "feast": "S Matthiæ Ap",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Mihi autem", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=27): {
                "feast": "S Gabrielis a Virgine Perdolente C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Oculus Dei", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },

            # March
            day(year=self.year, month=3, day=4): {
                "feast": "S Casimiri C",
                "rank": [16, "sd"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Lucii I PM", "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os iusti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=6): {
                "feast": "Ss Perpetuae et Felicitatiis Mm",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Me expectaverunt", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=7): {
                "feast": "S Thomæ de Aquino CD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio ecclesiae", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=8): {
                "feast": "S Joannis a Deo C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os iusti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=9): {
                "feast": "S Franciscae Romanae V",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Cognovi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=10): {
                "feast": "Ss Quadragintarum Mm",
                "rank": [16, "sd"],
                "nobility": (5, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Clamaverunt iusti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=12): {
                "feast": "S Gregorii I PCD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Si diligis me", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=17): {
                "feast": "S Patricii EC",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=18): {
                "feast": "S Cyrilli Hierosolymitani ECD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio ecclesiae", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=19): {
                "feast": "S Josephi Sponsi BMV C",
                "rank": [2, "d I cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Justus ut palma", "glo": True, "cre": True, "pre": "De Sancto Ioseph"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=21): {
                "feast": "S Benedicti Abb",
                "rank": [14, "dm"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os iusti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=24): {
                "feast": "S Gabrielis Arch",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Benedicite Dominum", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=25): {
                "feast": "In Annuntiatione BMV",
                "rank": [2, "d I cl"],
                "nobility": (1, 2, 6, 2, 1, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Vultum tuum", "glo": True, "cre": True, "pre": "De B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=27): {
                "feast": "S Joannis Damasceni CD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Tenuisti manum", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=3, day=28): {
                "feast": "S Joannis a Capistrano C",
                "rank": [16, "sd"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Ego autem", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },

            # April
            day(year=self.year, month=4, day=2): {
                "feast": "S Francisci de Paula C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Justus ut palma", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=4): {
                "feast": "S Isidori ECD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio ecclesiae", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=5): {
                "feast": "S Vincentii Ferrerii C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os iusti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=11): {
                "feast": "S Leonis PCD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Si diligis me", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=13): {
                "feast": "S Hermenegildi M",
                "rank": [16, "sd"],
                "nobility": (5, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": ["In virtute", "Protexisti"], "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=14): {
                "feast": "S Justini M",
                "rank": [15, "d"],
                "nobility": (False,),
                "com": [{"feast": "Ss Tiburtii, Valeriani et Maximi Mm", "mass": {"int": ["Sapientiam", "Sancti tui"], "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Narraverunt mihi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=17): {
                "feast": "S Aniceti PM",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=21): {
                "feast": "S Anselmi ECD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio ecclesiae", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=22): {
                "feast": "Ss Soteris et Caii PpMm",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=23): {
                "feast": "S Georgii M",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Protexisti me", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=24): {
                "feast": "S Fidelis a Sigmaringa M",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Protexisti me", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=25): {
                "feast": "S Marci Ev",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Protexisti me", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=26): {
                "feast": "Ss Cleti et Marcellini PpMm",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=27): {
                "feast": "S Petri Canisii CD",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio ecclesiae", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=28): {
                "feast": "S Pauli a Cruce C",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Vitali M", "mass": {"int": ["Protexisti", "In virtute"], "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Christo confixus sum", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=29): {
                "feast": "S Petri M",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Protexisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=4, day=30): {
                "feast": "S Catharinae Senensis V",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dilexisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },

            # May
            day(year=self.year, month=5, day=1): {
                "feast": "Ss Philippi et Iacobi App",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Clamaverunt ad te", "glo": True, "cre": True, "pre": "De Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=2): {
                "feast": "S Athanasii ECD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio ecclesiae", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=3): {
                "feast": "In Inventione S Crucis",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "com": [{"feast": "Ss Alexandro I Pp, Eventii et Theoduli Mm ac Juvenale Ep C", "mass": {"int": "Sancti tui", "glo": True, "cre": False, "pre": "de Apostolis"}},],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Nos autem gloriari", "glo": True, "cre": True, "pre": "De Cruce"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=4): {
                "feast": "S Monicae V",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Cognovi, Domine", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=5): {
                "feast": "S Pii V PC",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=6): {
                "feast": "S Joannis ApEv ante Portam Latinam",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Protexisti me", "glo": True, "cre": True, "pre": "De Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=7): {
                "feast": "S Stanislai EM",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Protexisti me", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=8): {
                "feast": "In Apparitione S Michaelis Arch",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Benedicite Dominum", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=9): {
                "feast": "S Gregorii Nanzanzeni ECD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In media", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=10): {
                "feast": "S Antonini EC",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "Ss Gordiani et Epimachi Mm", "mass": {"int": "Sancti tui", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit ei", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=12): {
                "feast": "Ss Nerei, Achillei at Domitillae V atq Pancratii Mm",
                "rank": [16, "sd"],
                "nobility": (5, 2, 6, 7, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Ecce, oculi Domini", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=13): {
                "feast": "S Roberti Bellarmino ECD",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=14): {
                "feast": "S Bonifatii M",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Protexisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=15): {
                "feast": "S Joannis Baptistae de la Salle C",
                "rank": [15, "d, mtv"],  # TODO: check this mtv
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os iusti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=16): {
                "feast": "S Ubaldi EC",
                "rank": [16, "sd"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=17): {
                "feast": "S Paschalis Baylon C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=18): {
                "feast": "S Venantii M",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": ["Protexisti", "In virtute"], "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=19): {
                "feast": "S Petri Caelestini PC",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Pudentianae V", "mass": {"int": "Dilexisti", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=20): {
                "feast": "S Bernardini Senensis C",
                "rank": [16, "sd"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=25): {
                "feast": "S Gregorii VII PC",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Urbani I PM", "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=26): {
                "feast": "S Philippi Nerii C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Eleutherii PM", "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Caritas Dei", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=27): {
                "feast": "S Bedæ Venerabilis CD",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Joannis I PM", "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=28): {
                "feast": "S Augustini EC",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Sacerdotes", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=29): {
                "feast": "S Mariæ Magdalenæ de Pazzis V",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dilexisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=30): {
                "feast": "S Felix I PM",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=5, day=31): {
                "feast": "B Mariae Virginis Reginae",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "com": [{"feast": "S Petronillae V", "mass": {"int": "Vultum tuum", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Gaudeamus", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },

            # June
            day(year=self.year, month=6, day=1): {
                "feast": "S Angelæ Mericiæ V",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dilexisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=2): {
                "feast": "Ss Marcellini, Petri atq Erasmi E Mm",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Clamaverunt", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=4): {
                "feast": "S Francisci Caracciolo C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Factum est", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=5): {
                "feast": "S Bonifatii EM",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Exsultabo", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=6): {
                "feast": "S Norberti EC",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=9): {
                "feast": "Ss Primi et Feliciani Mm",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": ["Sapientiam", "Sancti tui"], "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=10): {
                "feast": "S Margaritæ R V",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Cognovi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=11): {
                "feast": "S Barnabæ Ap",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Mihi autem", "glo": True, "cre": True, "pre": "de Apostlis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=12): {
                "feast": "S Joannis a S Facundo C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "Ss Basilidi, Cyrini, Nabori atq Nazarii Mm", "mass": {"int": ["Intret in conspectu", "Sancti tui"], "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=13): {
                "feast": "S Antonii de Padua CD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=14): {
                "feast": "S Basilii Magni ECD",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=15): {
                "feast": "Ss Viti, Modesti atq Crescentiæ Mm",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Multæ tribulationes", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=18): {
                "feast": "S Ephræm Syri Diaconi CD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "Ss Marci et Marcelliani Mm", "mass": {"int": "Salus autem", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=19): {
                "feast": "S Julianæ de Falconeriis V",
                "rank": [15, "d"],
                "nobility": (False,),
                "com": [{"feast": "Ss Gervasii et Protasii Mm", "mass": {"int": "Loquetur Dominus", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dilexisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=20): {
                "feast": "S Silverii PM",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=21): {
                "feast": "S Aloisii Gonzagæ C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Minuisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=22): {
                "feast": "S Paulini EC",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Sacerdotes tui", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=23): {
                "feast": "In Vigilia Nativitatis S Joannis Baptistæ",
                "rank": [19, "v"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Ne timeas", "glo": False, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=24): {
                "feast": "In Nativitate S Joannis Baptistæ",
                "infra_octave_name": "Oct S Joannis Baptistæ",
                "rank": [2, "d I cl cum Oct communi"],
                "nobility": (1, 0, 4, 4, 1, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "De ventre", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=25): {
                "feast": "S Gulielmi Abb",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=26): {
                "feast": "S Joannis et Pauli Mm",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Multæ tribulationes", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            # todo Add "6/27 De IV die infra OCtava Nativitatis S Joannis Baptistae feria
            day(year=self.year, month=6, day=28): {
                "feast": "Irinæi EM",
                "rank": [15, "d"],
                "nobility": (False,),
                "com": [{"feast": "In Vigilia Ss Petri et Pauli App", "mass": {"int": "Dicit Dominus", "glo": False, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Lex veritatis", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=29): {
                "feast": "Ss Petri et Pauli App",
                "infra_octave_name": "Oct Ss Petri et Pauli App",
                "rank": [2, "d I cl cum Oct communi"],
                "nobility": (1, 2, 4, 5, 1, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Nunc scio", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=6, day=30): {
                "feast": "In Commemoratione S Pauli Apostoli",
                "rank": [14, "dm"],
                "nobility": (False,),
                "com": [{"feast": "S Petri Ap", "mass": {"int": "", "glo": True, "cre": True, "pre": "de Apostolis"}},{"feast": "In Octava S Joannis Baptistae"}],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Scio, cui credidi", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },

            # July
            day(year=self.year, month=7, day=1): {
                "feast": "In Festo Pretiosissimi Sanguinis DNJC",
                "rank": [2, "d I cl"],
                "nobility": (False,),
                "office_type": False,
                "com": [],
                "color": "red",
                "mass": {"int": "Redemisti nos", "glo": True, "cre": True, "pre": "de Cruce"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=2): {
                "feast": "In Visitatione BMV",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "com": [{"feast": "Ss Processi et Martiniani Mm", "mass": {"int": "Sapientiam", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Salve, sancta Parens", "glo": True, "cre": True, "pre": "de BMV"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=3): {
                "feast": "S Leonis II PC",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "com": [],
                "color": "white",
                "mass": {"int": "Si diligis me", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            # todo add "7/4 De VI die infra Octava Ss Petri et Pauli App feria
            day(year=self.year, month=7, day=5): {
                "feast": "S Antonii Mariæ Zaccaria C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "com": [],
                "color": "white",
                "mass": {"int": "Sermo meus", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            # todo add "7/6 Octava Ss Petri et Pauli App dm
            day(year=self.year, month=7, day=7): {
                "feast": "Ss Cyrilli et Methodii EeCc",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Sacerdotes tui", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=8): {
                "feast": "S Elisabeth R Vid",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Cognovi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=10): {
                "feast": "Ss Septem Fratrum Mm ac Rufinæ et Secundæ VvMm",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Laudate, pueri", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=11): {
                "feast": "S Pii I PM",
                "rank": [22, "s"],
                "nobility": (8, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=12): {
                "feast": "S Joannis Gualberti Abb",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "Ss Naboris et Felicis Mm", "mass": {"int": "Salus autem", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=13): {
                "feast": "S Anacleti PM",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=14): {
                "feast": "S Bonaventuræ ECD",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=15): {
                "feast": "S Henrici Imp C",
                "rank": [16, "sd, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=16): {
                "feast": "In Commemoratione BMV de Monte Carmelo",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Gaudeamus", "glo": True, "cre": True, "pre": " de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=17): {
                "feast": "S Alexii C",
                "rank": [16, "sd"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=18): {
                "feast": "S Camilli de Lellis C",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "Ss Symphorosae et Septem Filiis ejus Mm", "mass": {"int": "Clamaverunt", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Majorem hac", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=19): {
                "feast": "S Vincentii a Paulo C",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Justus ut palma", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=20): {
                "feast": "S Hieronymi Æmiliani C",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Margaritae VM", "mass": {"int": "Me expectaverunt", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Effusum est", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=21): {
                "feast": "S Praxedis V",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Loquebar", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=22): {
                "feast": "S Mariæ Magdalenæ Pænitentis",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Me expectaverunt", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=23): {
                "feast": "S Apollinaris EM",
                "rank": [15, "d"],
                "nobility": (False,),
                "com": [{"feast": "S Liborii EC", "mass": {"int": "Statuit", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Sacerdotes Dei", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=24): {
                "feast": "In Vigilia S Jacobi Ap",
                "rank": [19, "v"],
                "nobility": (False,),
                "com": [{"feast": "S Christinae VM", "mass": {"int": "Me expectaverunt", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "purple",
                "mass": {"int": "Ego autem", "glo": False, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=25): {
                "feast": "S Jacobi Ap",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "com": [{"feast": "S Christophori M", "mass": {"int": "In virtute", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Mihi autem", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=26): {
                "feast": "S Annæ Matris BMV",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Gaudeamus", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=27): {
                "feast": "S Pantaleonis M",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Lætabitur", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=28): {
                "feast": "Ss Nazarii et Celsi Mm, Victoris I PM, ac Innocentii I PC",
                "rank": [16, "sd"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Intret in conspectu", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=29): {
                "feast": "S Marthæ V",
                "rank": [16, "sd"],
                "nobility": (False,),
                "com": [{"feast": "Ss Felicis II P, Simplicis, Faustinis atq Beatricae Mm", "mass": {"int": "Sapientiam", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dilexisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=30): {
                "feast": "Ss Abdon et Sennen Mm",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Intret in conspectu", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=7, day=31): {
                "feast": "S Ignatii C",
                "rank": [14, "dm"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In nomine Jesu", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },

            # August
            day(year=self.year, month=8, day=1): {
                "feast": "S Petri Ap ad Vincula",
                "rank": [14, "dm"],
                "nobility": (False,),
                "com": [{"feast": "S Pauli Ap", "mass": {"int": "", "glo": True, "cre": True, "pre": "de Apostolis"}},{"feast": "Ss Machabæis Mm", "mass": {"int": "Clamaverunt", "glo": True, "cre": False, "pre": "Communis"}}],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Nunc scio vere", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=2): {
                "feast": "S Alphonsi Mariæ de Ligorio ECD",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Stephani PM", "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Spiritus Domini", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=3): {
                "feast": "In Inventione S Stephani Protomartyris",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Sederunt", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=4): {
                "feast": "S Dominici v",
                "rank": [14, "dm, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=5): {
                "feast": "In Dedicatione S Mariæ ad Nives",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Salve, sancta parens", "glo": True, "cre": True, "pre": "De B Mariae Virginis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=6): {
                "feast": "In Transfiguratione DNJC",
                "rank": [11, "d II cl"],
                "nobility": (False,),
                "com": [{"feast": "Ss Xysti P, Felicissimi atq Agapiti Mm", "mass": {"int": "Sapientiam", "glo": True, "cre": False, "pre": "de Apostolis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Illuxerunt", "glo": True, "cre": True, "pre": "de Nativitate"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=7): {
                "feast": "S Cajetani C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Donati EM", "mass": {"int": "Sacerdotes Dei", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=8): {
                "feast": "Ss Cyriaci, Largi atq Smaragdi Mm",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Timete Dominum", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=9): {
                "feast": "S Joannis Mariæ Vianney C",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "Vigilia S Laurentii M", "mass": {"int": "Dispersit", "glo": False, "cre": False, "pre": "Communis"}},{"feast": "S Romani M", "mass": {"int": "Lætabitur", "glo": True, "cre": False, "pre": "Communis"}}],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=10): {
                "feast": "S Laurentii M",
                "rank": [10, "d II cl"],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Confessio", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=11): {
                "feast": "Ss Tiburtii et Susannæ V, Mm",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Salus autem", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=12): {
                "feast": "S Claræ V",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dilexisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=13): {
                "feast": "Ss Hippolyti et Cassiani Mm",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Salus autem", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=14): {
                "feast": "In Vigilia Assumptionis BMV",
                "rank": [19, "v"],
                "nobility": (False,),
                "com": [{"feast": "S Eusebii C", "mass": {"int": "Justus", "glo": True, "cre": False, "pre": "Communis"}},{"feast": "Spiritus Sancti", "mass": {"int": "de Spiritu Sancto"}}],
                "office_type": False,
                "color": "purple",
                "mass": {"int": "Vultum tuum", "glo": False, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": True,
            },
            day(year=self.year, month=8, day=15): {
                "feast": "In Assumptione BMV",
                "infra_octave_name": "Oct Assumptionis BMV",
                "rank": [2, "d I cl cum Oct communi"],
                "nobility": (1, 1, 4, 2, 1, 0),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Signum magnum", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=16): {
                "feast": "S Joachim C, Patris BMV,",
                "rank": [10, "d II cl, mtv"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dispersit", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=17): {
                "feast": "S Hyacinthi C",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "Octava S Laurentii M", "mass": {"int": "Probasti", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=18): {
                "feast": "S Agapiti M",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Lætabitur", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=19): {
                "feast": "S Joannis Eudes C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=20): {
                "feast": "S Bernardi AbbD",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=21): {
                "feast": "S Joannæ Franciscæ Fremiot de Chantal V",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Cognovi", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=22): {
                "feast": "In Festo Immaculati Cordis BMV",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "com": [{"feast": "Ss Timothei, Hippolyti atq Symphoriani Mm", "mass": {"int": "Salus autem", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Adeamus", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=23): {
                "feast": "S Philippi Benitii C",
                "rank": [19, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "com": [{"feast": "In Vigilia S Bartholomæi Ap", "mass": {"int": "Ego autem", "glo": False, "cre": False, "pre": "Communis"}},],
                "color": "white",
                "mass": {"int": "Justus", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=24): {
                "feast": "S Bartholomæi Ap",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Mihi autem", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=25): {
                "feast": "S Ludovici RC",
                "rank": [16, "sd"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=26): {
                "feast": "S Zephrini PM",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=27): {
                "feast": "S Josephi Calasanctii C",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Venite, filii", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=28): {
                "feast": "S Augustini ECD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Hermetis M", "mass": {"int": "Lætabitur", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=29): {
                "feast": "In Decollatione S Joannis Baptistæ",
                "rank": [14, "dm"],
                "nobility": (False,),
                "com": [{"feast": "S Sabinae M", "mass": {"int": "Me expectaverunt", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Loquebar", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=30): {
                "feast": "S Rosæ a S Maria Limanae V",
                "rank": [15, "d"],
                "nobility": (False,),
                "com": [{"feast": "Ss Felicis et Adaucti Mm", "mass": {"int": "Sapientiam", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dilexisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=8, day=31): {
                "feast": "S Raymundi Nonnati C",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },

            # September
            day(year=self.year, month=9, day=1): {
                "feast": "S Ægidii Abb",
                "rank": [22, "s"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "com": [{"feast": "Ss Duodecim Fratribus", "mass": {"int": "Clamaverunt", "glo": True, "cre": False, "pre": "Communis"}},],
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=2): {
                "feast": "S Stephani R C",
                "rank": [16, "sd, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=3): {
                "feast": "S Pii X PC",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Extuli", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=5): {
                "feast": "S Laurentii Justiniani EC",
                "rank": [16, "sd, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit ei", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=8): {
                "feast": "In Nativitate BMV",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "com": [{"feast": "S Hadriani M", "mass": {"int": "In virtute", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Salve, sancta Parens", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=9): {
                "feast": "S Gorgonii M",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Lætabitur", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=10): {
                "feast": "S Nicolai de Tolentino C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Justus", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=11): {
                "feast": "Ss Proti et Hycinthi Mm",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Salus autem", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=12): {
                "feast": "Ssmi Nominis BMV",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Vultum tuum", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=14): {
                "feast": "In Exaltatione S Crucis",
                "rank": [14, "dm"],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Nos autem", "glo": True, "cre": True, "pre": "de Cruce"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=15): {
                "feast": "Septem Dolorum BMV",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "com": [{"feast": "S Nicomedis M", "mass": {"int": "In virtute", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Stabant", "glo": True, "seq": "Stabat Mater", "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=16): {
                "feast": "Ss Cornelii P et Cypriani E Mm",
                "rank": [16, "sd"],
                "nobility": (False,),
                "com": [{"feast": "Ss Euphemiae V, Luciae atq Geminiani Mm", "mass": {"int": "Intret", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Intret", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=17): {
                "feast": "In Impressione Ss Stigmatum S Francisci C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Mihi autem", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=18): {
                "feast": "S Josephi a Cupertino C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dilectio", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=19): {
                "feast": "Ss Januarii E et Sociorum Mm",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Salus autem", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=20): {
                "feast": "Ss Eustachii et Sociorum Mm",
                "rank": [15, "d"],
                "nobility": (False,),
                "com": [{"feast": "In Vigilia S Matthæi ApEv", "mass": {"int": "Ego autem", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Sapientiam", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=21): {
                "feast": "S Matthæi ApEv",
                "rank": [21, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Os justi", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=22): {
                "feast": "S Thomæ de Villanova EC",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "Ss Mauritii et Sociorum Mm", "mass": {"int": "Intret", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=23): {
                "feast": "S Lini PM",
                "rank": [16, "sd"],
                "nobility": (False,),
                "com": [{"feast": "S Theclae VM", "mass": {"int": "Loquebar", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=24): {
                "feast": "BMV de Merdece",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Salve", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=26): {
                "feast": "Ss Cypriani et Justinæ Mm",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Salus autem", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=27): {
                "feast": "Ss Cosmæ et Damiani Mm",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Sapientiam", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=28): {
                "feast": "S Wenceslai Ducis M",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "In virtute", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=29): {
                "feast": "In Dedicatione S Michaelis Arch",
                "rank": [2, "d I cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Benedicite", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=9, day=30): {
                "feast": "S Hieronymi SCD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },

            # October
            day(year=self.year, month=10, day=1): {
                "feast": "S Remigii EC",
                "rank": [22, "s"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=2): {
                "feast": "Ss Angelorum Custodum",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Benedicite", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=3): {
                "feast": "S Teresiæ a Jesu Infante V",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Veni de Libano", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=4): {
                "feast": "S Francisci C",
                "rank": [14, "dm"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Mihi autem", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=5): {
                "feast": "Ss Placidi et Sociorum Mm",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Salus autem", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=6): {
                "feast": "S Brunonis C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=7): {
                "feast": "Sacratissimi Rosarii BMV",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "com": [{"feast": "S Marci PC", "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"}},{"feast": "Ss Sergii, Bacchi, Marcelli atq Apuleji MM", "mass": {"int": "Sapientiam", "glo": True, "cre": False, "pre": "Communis"}}],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Gaudeamus", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=8): {
                "feast": "S Birgittæ V",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Cognovi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=9): {
                "feast": "S Joannis Leonardi C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "Ss Dionysii E, Rustici atq Eleutherii Mm", "mass": {"int": "Sapientiam", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "In sermonibus", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=10): {
                "feast": "S Francisci Borgiæ C",
                "rank": [16, "sd, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=11): {
                "feast": "In Maternitate BMV",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Ecce Virgo", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=13): {
                "feast": "S Eduardi R C",
                "rank": [16, "sd"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=14): {
                "feast": "S Callisti I PM",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=15): {
                "feast": "S Teresiæ V",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dilexisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=16): {
                "feast": "S Hedwigis V",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Cognovi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=17): {
                "feast": "S Margaritæ Mariæ Alacoque V",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Sub umbra", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=18): {
                "feast": "S Lucæ Ev",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Mihi autem", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=19): {
                "feast": "S Petri de Alcantara C",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Justus ut palma", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=20): {
                "feast": "S Joannis Cantii C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Miseratio hominis", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=21): {
                "feast": "S Hilarionis Abb",
                "rank": [22, "s"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "Ss Ursulae et Sociarum VM", "mass": {"int": "Loquebar", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=24): {
                "feast": "S Raphaelis Arch",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Benedicite", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=25): {
                "feast": "Ss Chrysanthi et Dariæ Mm",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Intret", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=26): {
                "feast": "S Evaristi PM",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=27): {
                "feast": "In Vigilia Ss Simonis et Judæ App",
                "rank": [19, "v"],
                "nobility": (False,),
                "office_type": False,
                "color": "purple",
                "mass": {"int": "Intret", "glo": False, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": True,
            },
            day(year=self.year, month=10, day=28): {
                "feast": "Ss Simonis et Judæ App",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Mihi autem", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=10, day=31): {
                "feast": "In Vigilia Omnium Sanctorum",
                "rank": [19, "v"],
                "nobility": (False,),
                "office_type": False,
                "color": "purple",
                "mass": {"int": "Judicant", "glo": False, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": True,
            },

            # November
            day(year=self.year, month=11, day=1): {
                "feast": "In Festo Omnium Sanctorum",
                "infra_octave_name": "Oct Omnium Sanctorum",
                "rank": [2, "d I cl cum Oct communi"],
                "nobility": (1, 1, 4, 3, 1, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Gaudeamus", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=2): {
                "feast": "In Commemoratione Omnium Fidelium Defunctorum",
                "rank": [15, "d"],
                "nobility": (False,),
                "color": "black",
                "mass": {
                    "Ad Primam Missam": {"int": "Requiem", "glo": False, "seq": "Dies Iræ", "cre": False, "pre": "Defunctorum"},
                    "Ad Secundam Missam": {"int": "Requiem", "glo": False, "seq": "Dies Iræ", "cre": False, "pre": "Defunctorum"},
                    "Ad Tertiam Missam": {"int": "Requiem", "glo": False, "seq": "Dies Iræ", "cre": False, "pre": "Defunctorum"},
                },
                "office_type": False,
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=4): {
                "feast": "S Caroli EC",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "Octavae Omnium Sanctorum", "mass": {"int": "", "glo": True, "cre": True, "pre": "Communis"}},{"feast": "Ss Vitalis et Agricolae Mm", "mass": {"int": "Sapientiam", "glo": True, "cre": False, "pre": "Communis"}}],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit ei", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            # todo add "11/5-7 Infra Octava Omnium Sanctorum feria
            day(year=self.year, month=11, day=8): {
                "feast": "In Octava Omnium Sanctorum",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "com": [{"feast": "Ss Quatuor Coronatis Mm", "mass": {"int": "Intret", "glo": True, "cre": False, "pre": "Communis"}},],
                "color": "white",
                "mass": {"int": "Gaudeamus", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=9): {
                "feast": "In Dedicatione Archibasilicæ Ssmi Salvatoris",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "com": [{"feast": "S Theodori M", "mass": {"int": "Laetabitur", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Terribilis", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=10): {
                "feast": "S Andreæ Avellini C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "Ss Tryphonis, Respicii atq Nymphae V Mm", "mass": {"int": "Clamaverunt", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=11): {
                "feast": "S Martini EC",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Mennae M", "mass": {"int": "Laetabitur", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit ei", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=12): {
                "feast": "S Martini I PM",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=13): {
                "feast": "S Didaci C",
                "rank": [16, "sd"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Justus", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=14): {
                "feast": "S Josaphat EM",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Gaudeamus", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=15): {
                "feast": "S Alberti Magni ECD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=16): {
                "feast": "S Gertrudis V",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Dilexisti", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=17): {
                "feast": "S Gregorii Thaumaturgi EC",
                "rank": [16, "sd"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=18): {
                "feast": "In Dedicatione Basilicarum Ss Petri et Pauli App",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Terribilis", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=19): {
                "feast": "S Elisabeth V",
                "rank": [15, "d"],
                "nobility": (False,),
                "com": [{"feast": "S Pontiani PM", "mass": {"int": "Si diligis me", "glo": True, "cre": False, "pre": "de Apostolis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Cognovi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=20): {
                "feast": "S Felicis de Valois C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Justus", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=21): {
                "feast": "In Præsentatione BMV",
                "rank": [14, "dm"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Salve", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=22): {
                "feast": "S Cæciliæ VM",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Loquebar", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=23): {
                "feast": "S Clementis I PM",
                "rank": [15, "d"],
                "nobility": (False,),
                "com": [{"feast": "S Felicitatis M", "mass": {"int": "Me exspectaverunt", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "red",
                "mass": {"int": "Dicit Dóminus", "glo": True, "cre": False, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=24): {
                "feast": "S Joannis a Cruce CD",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Chrysogoni M", "mass": {"int": "", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=25): {
                "feast": "S Catharinæ VM",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Loquebar", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=26): {
                "feast": "S Sylvestri Abb",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Petri Alexandrini EM", "mass": {"int": "", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=11, day=29): {
                "feast": "In Vigilia S Andreæ Ap",
                "rank": [22, "v"],
                "nobility": (False,),
                "com": [{"feast": "S Saturnini M", "mass": {"int": "Laetabitur", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "purple",
                "mass": {"int": "Dominus secus", "glo": False, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": True,
            },
            day(year=self.year, month=11, day=30): {
                "feast": "S Andreæ Ap",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Mihi autem", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            # todo add 12/1 feria

            # December
            day(year=self.year, month=12, day=2): {
                "feast": "S Bibianæ VM",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Me expectaverunt", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=12, day=3): {
                "feast": "S Francisci Xaverii C",
                "rank": [14, "dm, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Loquebar", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=12, day=4): {
                "feast": "S Petri Chrysologi ECD",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "S Barbarae VM", "mass": {"int": "Loquebar", "glo": True, "cre": False, "pre": "Communis"}},],
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=12, day=5): {
                "feast": "S Sabbae Abb",
                "rank": [22, "s"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Os justi", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=12, day=6): {
                "feast": "S Nicolai EC",
                "rank": [15, "d"], # FIX: vigil of IC?
                "nobility": (4, 2, 6, 8, 3, 0,),
                "com": [{"feast": "In Vigilia Conceptionis Immaculatæ BMV",
                         "rank": [19, "v"],
                         "nobility": (False,),
                         "office_type": False,
                         "color": "purple",
                         "mass": {"int": "Venite, audite", "glo": False, "cre": False, "pre": "Communis"},
                         "matins": {},
                         "lauds": {},
                         "prime": {},
                         "little_hours": {},
                         "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                         "compline": {},
                         "fasting": False,
                         }],
                "office_type": False,
                "color": "white",
                "mass": {"int": "Statuit ei", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=12, day=7): {
                "feast": "S Ambrosii ECD",
                "rank": [15, "d, mtv"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "In medio", "glo": True, "cre": True, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=12, day=8): {
                "feast": "In Conceptione Immaculata BMV",
                "infra_octave_name": "Oct Concept Immac BMV",
                "rank": [2, "d I cl cum Oct communi"],
                "nobility": (False,),
                "octave": 4,
                "office_type": False,
                "color": "white",
                "mass": {"int": "Gaudens gaudebo", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            # todo add "12/9 De II die infra Octava Concept. Immac. BMV feria
            day(year=self.year, month=12, day=10): {
                "feast": "S Melchidi PM",
                "rank": [22, "s"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Si diligis me", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=12, day=11): {
                "feast": "S Damasi I PC",
                "rank": [16, "sd"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Si diligis me", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            # todo add "12/12 De II die infra Octava Concept. Immac. BMV feria
            day(year=self.year, month=12, day=13): {
                "feast": "S Luciæ VM",
                "rank": [15, "d"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Dilexisti", "glo": True, "cre": True, "pre": "de B Maria Virg"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            # TODO: add "12/14 De VII die infra Octava Concept. Immac. BMV feria
            # TODO: add "12/15 Octava Concept. Immac. BMV dm
            day(year=self.year, month=12, day=16): {
                "feast": "S Eusebii EM",
                "rank": [16, "sd"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Sacerdotes Dei", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=12, day=20): {
                "feast": "In Vigilia S Thomæ Ap",
                "rank": [22, "v"], # TODO: check the ranking of a vigil
                "nobility": (8, 2, 6, 5, 3, 0,),
                "office_type": False,
                "color": "purple",
                "mass": {"int": "Ego autem", "glo": False, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=12, day=21): {
                "feast": "S Thomæ Ap",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Mihi autem", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
        }

        self.data_leapyear = {
            day(year=self.year, month=2, day=24): {
                "feast": "In Vigilia S Matthiæ",
                "rank": [20, "v"],
                "nobility": (False,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Ego autem", "glo": False, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=25): {
                "feast": "S Matthiæ Ap",
                "rank": [10, "d II cl"],
                "nobility": (False,),
                "office_type": False,
                "color": "red",
                "mass": {"int": "Mihi autem", "glo": True, "cre": True, "pre": "de Apostolis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
            day(year=self.year, month=2, day=28): {
                "feast": "S Gabrielis a Virgine Perdolente C",
                "rank": [15, "d"],
                "nobility": (4, 2, 6, 8, 3, 0,),
                "office_type": False,
                "color": "white",
                "mass": {"int": "Oculus Dei", "glo": True, "cre": False, "pre": "Communis"},
                "matins": {},
                "lauds": {},
                "prime": {},
                "little_hours": {},
                "vespers": {"proper": False, "admag": ("firstVespers", "secondVespers"), "propers": {}, "oration": ""},
                "compline": {},
                "fasting": False,
            },
        }

    def leapyear(self) -> dict:
        for feast, data in self.data_leapyear.items():
            self.data |= {feast: data}
        return self.data
